<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.company.trackify">

    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.SEND_SMS"></uses-permission>
    <uses-permission android:name="android.permission.READ_CONTACTS"></uses-permission>
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <!-- EXTERNAL_STORAGE permissions are optional for Android 6.0 onwards. -->
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.WAKE_LOCK" />

    <application
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/AppTheme">
        <meta-data
            android:name="com.google.android.geo.API_KEY"
            android:value="AIzaSyAP9vwLD2VAErhVQvALSXMDsR9G3XA2_0c" />

        <activity
            android:name=".LoginActivity"
            android:theme="@style/Theme.AppCompat.Light.NoActionBar" />
        <activity android:name=".TestActivity" />
        <activity
            android:name=".RegisterActivity"
            android:theme="@style/Theme.AppCompat.Light.NoActionBar" />
        <activity
            android:name=".HomeActivity"
            android:label="@string/title_activity_home"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity android:name=".Teams" />
        <activity android:name=".ProfileActivity" />
        <activity android:name=".SettingsActivity" />
        <activity android:name=".Members" />
        <activity
            android:name=".TrackActivity"
            android:screenOrientation="portrait" />

        <receiver
            android:name=".NetworkChangeListener"
            android:label="NetworkChangeReceiver">
            <intent-filter>
                <action android:name="android.net.conn.CONNECTIVITY_CHANGE" />
                <action android:name="android.net.wifi.WIFI_STATE_CHANGED" />
                <action android:name="android." />
            </intent-filter>
        </receiver>

         <service
         android:name=".LocationService"
         android:enabled="true"
         android:exported="true" />
        <service
            android:name=".NewLocationService"
            android:enabled="true"
            android:exported="true" />

        <activity
            android:name=".ProfileTest"
            android:theme="@style/Theme.AppCompat.Light.NoActionBar" />
        <activity android:name=".Fragments.TeamFragment" />
        <activity android:name=".Fragments.MembersFragment" />
        <activity
            android:name=".IntroActivity"
            android:theme="@style/Theme.AppCompat.Light.NoActionBar">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>


        <activity
            android:name=".ProfileFinal"
            android:label="Trackify"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity android:name=".Home"></activity>
    </application>

</manifest>